## ros-jazzy-robot-localization 3.8.0

=== debian/changelog ===
ros-jazzy-robot-localization (3.8.0-1bookworm) bookworm; urgency=high

  * Fixing yaml linking in rolling (#878 <https://github.com/cra-ros-pkg/robot_localization/issues/878>)
  * Contributors: Chris Lalancette

 -- Tom Moore <ayrton04@gmail.com>  Sat, 20 Apr 2024 23:00:00 -0000

ros-jazzy-robot-localization (3.6.1-1bookworm) bookworm; urgency=high

  * TF Prefix Bug (#876 <https://github.com/cra-ros-pkg/robot_localization/issues/876>)
  * Update ukf.yaml to match ekf.yaml (#867 <https://github.com/cra-ros-pkg/robot_localization/issues/867>)
    Add missing *_pose_use_child_frame parameter.
  * Fix throttle duration (#866 <https://github.com/cra-ros-pkg/robot_localization/issues/866>)
  * Migrate static tfs to ros2 format. (#864 <https://github.com/cra-ros-pkg/robot_localization/issues/864>)
  * Update issue templates
  * Feature/set utm service (#856 <https://github.com/cra-ros-pkg/robot_localization/issues/856>)
  * fix: modify dual_ekf_navsat_example.launch file to remap the correct imu topic (#857 <https://github.com/cra-ros-pkg/robot_localization/issues/857>)
  * fix header timestamp (#852 <https://github.com/cra-ros-pkg/robot_localization/issues/852>)
    Co-authored-by: Luke Chang <mailto:luke@boxfish.nz>
  * Wait for odometry message before setting manual datum so that the base and world frame names can be set. (#836 <https://github.com/cra-ros-pkg/robot_localization/issues/836>)
    * wait for odom msg before setting manual datum
  * Test navsat transform functionality (#838 <https://github.com/cra-ros-pkg/robot_localization/issues/838>)
  * Utm using geographiclib ros2 branch (#833 <https://github.com/cra-ros-pkg/robot_localization/issues/833>)
    * Add single test for navsat_conversions
    * Add a southern point to the navsat_transform test
    * LLtoUTM using GeographicLib
    * Use GeographicLib for UTMtoLL conversions
    * Linting
    * Forgot include
    * Fix compilation
    * Calculate gamma because it's a function output and was supplied before
    * Also test for gamma conversion
    * Align naming and install
  * bugfix (#809 <https://github.com/cra-ros-pkg/robot_localization/issues/809>): check if covariance values are specified or not (#810 <https://github.com/cra-ros-pkg/robot_localization/issues/810>)
  * Contributors: Daisuke Sato, Luke Chang, Mukunda Bharatheesha, Tim Clephas, Tom Greier, Tom Moore, joeldushouyu, rafal-gorecki, thandal

 -- Tom Moore <ayrton04@gmail.com>  Mon, 15 Apr 2024 23:00:00 -0000

ros-jazzy-robot-localization (3.3.2-1bookworm) bookworm; urgency=high

  * Port PR #753 <https://github.com/cra-ros-pkg/robot_localization/issues/753> and #728 <https://github.com/cra-ros-pkg/robot_localization/issues/728> to ROS2 version (#765 <https://github.com/cra-ros-pkg/robot_localization/issues/765>)
    * compiling version of commit #753 <https://github.com/cra-ros-pkg/robot_localization/issues/753> and #728 <https://github.com/cra-ros-pkg/robot_localization/issues/728> ported to ros2 rolling
    * format fixes
    * fix time source disagreement by converting to seconds beforehand, append parameter usage, fix linting
    * fix linting and uncrustify
  * Adding support for setting diagonals for covariance matrices (#755 <https://github.com/cra-ros-pkg/robot_localization/issues/755>)
  * Fixing and cleaning up interface tests (#754 <https://github.com/cra-ros-pkg/robot_localization/issues/754>)
    * Fixing and cleaning up interface tests
  * Linting and header cleanup, part 1 (#752 <https://github.com/cra-ros-pkg/robot_localization/issues/752>)
    * Header cleanup and logging fixes
  * UKF update (#751 <https://github.com/cra-ros-pkg/robot_localization/issues/751>)
    * Pulling UKF changes from Noetic
    * Adding a reset service to make tests more deterministic
  * Fix angles dependency (#747 <https://github.com/cra-ros-pkg/robot_localization/issues/747>)
    * Add angles to CMakeLists.txt
  * Using angles library to normalize angles (#739 <https://github.com/cra-ros-pkg/robot_localization/issues/739>)
    * Using angles library for innovation angle normalization
  * Read predict_to_current_time from ROS parameters (#737 <https://github.com/cra-ros-pkg/robot_localization/issues/737>)
    Co-authored-by: Zygfryd Wieszok <mailto:zwieszok@autonomous-systems.pl>
  * Fixed state history reversion (#736 <https://github.com/cra-ros-pkg/robot_localization/issues/736>)
    Co-authored-by: Zygfryd Wieszok <mailto:zwieszok@autonomous-systems.pl>
  * Fixing code style divergence for ament_uncrustify in main ROS2 branch (#743 <https://github.com/cra-ros-pkg/robot_localization/issues/743>)
  * This fixes #732 <https://github.com/cra-ros-pkg/robot_localization/issues/732> (broadcast_cartesian_transform) (#733 <https://github.com/cra-ros-pkg/robot_localization/issues/733>)
  * Contributors: Anish, Haoguang Yang, Marek Piechula, RoboTech Vision, Tom Moore, Tony Najjar, Zygfryd Wieszok

 -- Tom Moore <ayrton04@gmail.com>  Sun, 11 Dec 2022 00:00:00 -0000

ros-jazzy-robot-localization (3.3.1-1bookworm) bookworm; urgency=high

  * Moving to C++17 support (#725 <https://github.com/cra-ros-pkg/robot_localization/issues/725>)
  * SHARED linking for Geographiclib (#624 <https://github.com/cra-ros-pkg/robot_localization/issues/624>) (#712 <https://github.com/cra-ros-pkg/robot_localization/issues/712>)
    * remove GeographicLib specific linking option
    Co-authored-by: Achmad Fathoni <mailto:fathoni.id@gmail.com>
  * Contributors: Stephan Sundermann, Tom Moore

 -- Tom Moore <ayrton04@gmail.com>  Fri, 25 Feb 2022 00:00:00 -0000

ros-jazzy-robot-localization (2.4.0-1bookworm) bookworm; urgency=high

  * Updated documentation
  * Added reset_on_time_jump option
  * Added feature to optionally publish utm frame as parent in navsat_transform_node
  * Moved global callback queue reset
  * Added initial_state parameter and documentation
  * Fixed ac/deceleration gains default logic
  * Added gravity parameter
  * Added delay and throttle if tf lookup fails

