## ros-jazzy-robot-localization 3.8.1

=== debian/changelog ===
ros-jazzy-robot-localization (3.8.1-1bookworm) bookworm; urgency=high

  * Spam the logs a little bit less (#880 <https://github.com/cra-ros-pkg/robot_localization/issues/880>)
  * Fix mixing of UTM and catesian transforms with in use_local_catesian mode (#884 <https://github.com/cra-ros-pkg/robot_localization/issues/884>)
    * Resolve mixing of UTM and local transforms in local cartesian mode
  * Contributors: JayHerpin, Tim Clephas

 -- Tom Moore <ayrton04@gmail.com>  Wed, 28 Aug 2024 16:00:00 -0000
